al_find_menu_item(3)

NAME

al_find_menu_item - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    bool al_find_menu_item(ALLEGRO_MENU *haystack, uint16_t id, ALLEGRO_MENU **menu,
       int *index)

DESCRIPTION

Searches in the haystack menu for an item with the given id. (Note that this only represents a literal ID, and cannot be used as an index.)

If menu and index are not NULL, they will be set as the parent menu containing the item and the zero-based (positive) index of the item. (If the menu item was not found, then their values are undefined.)

Returns true if the menu item was found.

SINCE

5.1.0

SEE ALSO

al_find_menu(3)